enum {
  mName,
  mPath,
  mSec,
  mTimeout,
  mSelection,
  mEditor,
  mViewer,
  mShowPanel,
  mShowViewer,
  mShowEditor,
  mSave,
  mCancel,
};

char *GetMsg(int MsgId);

#define FAR165_INFO_SIZE 336

typedef struct CEditFile *PEditFile;

struct CEditFile
{
  int id;
  bool main;
  char filename[MAX_PATH];
  PEditFile next, prev;
};

//struct CEditFile methods
PEditFile ef_create(bool m = false);
void ef_free(PEditFile value);
PEditFile ef_getfile(int fid);
PEditFile ef_addfile(int fid);
bool ef_deletefile(int fid);

PEditFile editfiles;

PEditFile loadfile(int eid,char *filename);

void OnLoad(void);
void OnExit(void);
int OnEditorEvent(int event, void *param);
